/*
 File: int_no.h
 Date and Time: Fri Jan 30 18:55:13 2015 
*/
#ifndef __int_no_h__
#define __int_no_h__ 1
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#include "yacco2_k_symbols.h"
#include "yacco2_err_symbols.h"
#include "yacco2_terminals.h"
#include "yacco2_characters.h"

#include <stdlib.h>
#include <errno.h>
#include <limits.h>
  
extern yacco2::Thread_entry ITH_int_no;

extern yacco2::State S1_Cint_no;
namespace NS_int_no {
yacco2::THR _YACCO2_CALL_TYPE
TH_int_no(yacco2::Parser* Caller);// called thread
yacco2::THR_result _YACCO2_CALL_TYPE
PROC_TH_int_no(yacco2::Parser* Caller);// called thread's twin the procedure
using namespace NS_yacco2_T_enum;// enumerate
using namespace yacco2;
struct fsm_rules_reuse_table_type{
 fsm_rules_reuse_table_type();
 int no_rules_entries_;
 Per_rule_s_reuse_table* per_rule_s_table_[3];
};
class Cint_no: public yacco2::CAbs_fsm {
 public:
  enum rules_and_subrules{
   start_of_rule_list = NS_yacco2_T_enum::T_Enum::sum_total_T
   ,R_Rint_no_ = 569//start_of_rule_list + 0
    ,rhs1_Rint_no_ = 1
   ,R_Rdec_no_ = 570//start_of_rule_list + 2
    ,rhs1_Rdec_no_ = 2
    ,rhs2_Rdec_no_ = 3
   ,R_Rdigit_ = 571//start_of_rule_list + 4
    ,rhs1_Rdigit_ = 4
    ,rhs2_Rdigit_ = 5
    ,rhs3_Rdigit_ = 6
    ,rhs4_Rdigit_ = 7
    ,rhs5_Rdigit_ = 8
    ,rhs6_Rdigit_ = 9
    ,rhs7_Rdigit_ = 10
    ,rhs8_Rdigit_ = 11
    ,rhs9_Rdigit_ = 12
    ,rhs10_Rdigit_ = 13
  };
  //no of la sets = 2
  //no of states = 15
  Cint_no();
  ~Cint_no();
  void op();
  bool failed();
  void reduce_rhs_of_rule
      (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule);
  fsm_rules_reuse_table_type fsm_rules_reuse_table;
  static int rhs_to_rules_mapping_[14];
  
    public: 
    char ddd_[1024*32];
    int ddd_idx_;
   
 };
struct Rint_no;
struct Rdec_no;
struct Rdigit;
struct Rint_no:public yacco2::CAbs_lr1_sym {
  Rint_no(yacco2::Parser* P);
  public:
  void sr1();
};

struct Rdec_no:public yacco2::CAbs_lr1_sym {
  Rdec_no(yacco2::Parser* P);
  public:
};

struct Rdigit:public yacco2::CAbs_lr1_sym {
  Rdigit(yacco2::Parser* P);
  void op();
  public:
};

} // end of namespace

#endif
